Vendor Criteria Creations

Vendor Criteria Creation workflows track the agent-assisted creation of assessment criteria for Vendors within a Workspace.

List Vendor Criteria Creations

Find Vendor Criteria Creation workflows in a Workspace matching the provided filters.

🔒 Requires Vendors: List Vendor Criteria Creations permission.

💎 Requires your account have the Third Party Risk Management Pro, TPRM Pro Max feature. Contact your Account Manager for help upgrading.

Securitybearer or oauth2
Request
path Parameters
workspaceId
required
number

The Workspace ID associated to the Account

query Parameters
cursor
string

This parameter is used to paginate through results. No value is needed for the first request. If there are additional results, the response will contain a pagination.cursor value that can be used in the subsequent request to retrieve the next page of results

size
number [ 1 .. 500 ]
Default: 50

Number of results to return

sort
string (SortTypeLimitedEnum)

Which field to sort by

Enum: "createdAt" "updatedAt"
sortDir
string (SortDirectionEnum)

The direction to sort the data

Enum: "ASC" "DESC"
includeTotalCount
boolean

Include total count of all matching records in response. Only honored on first page (when cursor is null).

Example: includeTotalCount=false
statuses[]
Array of strings (AgentWorkflowStatusEnum)

Filter by Workflow statuses

Items Enum: "PENDING" "IN_PROGRESS" "COMPLETED" "FAILED" "CANCELLED"
Responses
200

Successful

400

Malformed data and/or validation errors

401

Invalid Authorization

402

You must upgrade your plan to use this feature

403

You are not allowed to perform this action

412

You must accept the Drata terms and conditions to use the API

500

Internal server error

get/workspaces/{workspaceId}/vendor-criteria-creations
Request samples
Response samples
application/json
{
  • "data": [
    • {
      • "id": 1,
      • "workspaceId": 1,
      • "status": "IN_PROGRESS",
      • "createdAt": "2025-07-01T16:45:55.246Z"
      }
    ],
  • "pagination": {
    • "cursor": "string",
    • "totalCount": 0
    }
}